Installation d'asymptote SVN sur Ubuntu 10.04 Lucid Lynx

Besoin d'aide pour installer Asymptote ?
Avatar du membre
chellier
Messages : 101
Enregistré le : jeu. 18 mars 2010, 17:30

Installation d'asymptote SVN sur Ubuntu 10.04 Lucid Lynx

Message non lu par chellier » lun. 24 mai 2010, 20:04

Je reprends ce post en le complétant pour Lucid Lynx (notamment à l'aide de la liste de paquets rajoutés par Gaétan) :

1/ Les paquets nécessaires

Code : Tout sélectionner

sudo apt-get install build-essential subversion flex texinfo autoconf zlib1g-dev bison libglut3 libglut3-dev cdbs debhelper libfftw3-dev libreadline5-dev libncurses5-dev  libgsl0-dev libsigsegv-dev


2/ Récupérer les sources

Code : Tout sélectionner

mkdir asymptote_svn
cd !$
svn co http://asymptote.svn.sourceforge.net/svnroot/asymptote/trunk/asymptote


3/ Compiler

Code : Tout sélectionner

cd asymptote
./autogen.sh
wget http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/gc-7.1.tar.gz
./configure
make all
sudo make install


4/ Pour les mises à jour, c'est

Code : Tout sélectionner

cd asymptote_svn/asymptote
svn update
sudo make install


Avec tout ça, l'installation se passe sans problème, mais il reste quelques dépendances non satisfaites (mais apparemment ça n'a pas l'air de poser problème pour l'utilisation) : le ./configure donne

Code : Tout sélectionner

checking whether we are cross compiling... no

checking whether byte ordering is bigendian... no

checking whether yytext is a pointer... no

checking ncurses/curses.h usability... no
checking ncurses/curses.h presence... no
checking for ncurses/curses.h... no

checking vfork.h usability... no
checking vfork.h presence... no
checking for vfork.h... no

J'ai essayé pas mal de paquets, mais n'ai pas trouvé. Donc si quelqu'un trouve, merci de compléter.

Christophe

Avatar du membre
GM
Administrateur du site
Administrateur du site
Messages : 1328
Enregistré le : dim. 7 mars 2010, 14:50

Re: asymptote svn sur Ubuntu 10.04 Lucid Lynx

Message non lu par GM » mer. 26 mai 2010, 17:54

chellier a écrit :J'ai essayé pas mal de paquets, mais n'ai pas trouvé. Donc si quelqu'un trouve, merci de compléter.

http://linux-attitude.fr/post/utilisation-de-configure-make-make-install, il préconise :
Comme en général, il s'agit d'une bibliothèque. Sous debian vous la trouverez ainsi :

Code : Tout sélectionner

$ apt-cache search lib toto dev

* lib : c'est une bibliothèque
* toto :ce qu'on cherche
* dev : on cherche la version pour le développement (avec les en-têtes pour permettre la compilation)
Index des fonctions - Exemple de lien donnant le résultat d'une recherche sur les mots 'arc' et 'triple' : http://asy.marris.fr/indexasy/?filtre=arc triple
Mes configurations (le 10/10/17) :
PC n°1 :Windows 10 - Asymptote(2.41)+MikTeX2.9 - Editeurs : Notepad++ et TeXworks.
Mes autres PC :Ubuntu 16.04LTS - Asymptote(2.42 git) + TexLive2017 - Editeur : TeXworks.
Merci de préciser la votre pour faciliter l'aide des autres !

OG
V.I.P.
V.I.P.
Messages : 132
Enregistré le : dim. 7 mars 2010, 22:27

Re: asymptote svn sur Ubuntu 10.04 Lucid Lynx

Message non lu par OG » mer. 26 mai 2010, 19:53

Bonsoir

Il ne faut pas se tracasser et chercher des librairies manquantes.
bigendian est lié à l'architecture (un pc de base sous linux est littleendian)
pour le reste je suis sûr à 99% que ça ne gêne pas.
(après ncurses.h c'est yes
working vfork yes itou)

Pour être sûr à 100% prend un paquet source debian d'asymptote (un vieux
mais que tu pourras désinstaller) que tu compiles.

O.G.

Avatar du membre
chellier
Messages : 101
Enregistré le : jeu. 18 mars 2010, 17:30

Re: asymptote svn sur Ubuntu 10.04 Lucid Lynx

Message non lu par chellier » mer. 26 mai 2010, 20:09

OG a écrit :Bonsoir

Il ne faut pas se tracasser et chercher des librairies manquantes.

En effet, j'ai déjà compilé avec beaucoup moins que ça et ça n'a jamais posé problème (voir l'installation sous ubuntu 9.10) !
Le but est d'avoir une installation suffisamment complète pour n'avoir aucun soucis par la suite. Ce qui est le cas ici je pense.

Christophe

Avatar du membre
GM
Administrateur du site
Administrateur du site
Messages : 1328
Enregistré le : dim. 7 mars 2010, 14:50

Re: asymptote svn sur Ubuntu 10.04 Lucid Lynx

Message non lu par GM » mer. 26 mai 2010, 23:35

Pour être complet, j'ai appliqué ce qui a été dit précédemment pour mint9 (dérivé d'ubuntu 10.04) dans virtualbox sous seven

et voilà ce que donne le ./configure si on suit les explications précédentes.

gm@gmint9 ~/svn/asymptote_svn/asymptote [unparseable or potentially dangerous latex formula](MAKE)... yes
checking for bison... bison -y
checking how to run the C++ preprocessor... g++ -E
checking tr1/unordered_map usability... yes
checking tr1/unordered_map presence... yes
checking for tr1/unordered_map... yes
checking for gc-7.1.tar.gz... yes
configure: enabling local Boehm Garbage Collector gc-7.1
checking for getopt_long_only... yes
checking for setupterm in -lncurses... yes
checking for sqrt in -lm... yes
checking for deflate in -lz... yes
checking for pthread_create in -lpthread... yes
checking for stackoverflow_install_handler in -lsigsegv... yes
checking for sched_yield in -lrt... yes
checking for rl_completion_matches in -lreadline... yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking fenv.h usability... yes
checking fenv.h presence... yes
checking for fenv.h... yes
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking ncurses/curses.h usability... no
checking ncurses/curses.h presence... no
checking for ncurses/curses.h... no
checking ncurses.h usability... yes
checking ncurses.h presence... yes
checking for ncurses.h... yes
checking fpu_control.h usability... yes
checking fpu_control.h presence... yes
checking for fpu_control.h... yes
checking for library containing xdrstdio_create... none required
checking gsl/gsl_sf.h usability... yes
checking gsl/gsl_sf.h presence... yes
checking for gsl/gsl_sf.h... yes
checking for gsl_sf_debye_6 in -lgsl... yes
checking fftw3.h usability... yes
checking fftw3.h presence... yes
checking for fftw3.h... yes
checking for fftw_execute in -lfftw3... yes
checking for glutMainLoop in -lglut... yes
checking for gluNewNurbsRenderer in -lGLU... yes
checking for glDepthMask in -lGL... yes
checking for pid_t... yes
checking for size_t... yes
checking for ptrdiff_t... yes
checking for long long... yes
checking for long... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking return type of signal handlers... void
checking vfork.h usability... no
checking vfork.h presence... no
checking for vfork.h... no
checking for fork... yes
checking for vfork... yes
checking for working fork... yes
checking for working vfork... (cached) yes
checking for dup2... yes
checking for floor... yes
checking for memset... yes
checking for pow... yes
checking for sqrt... yes
checking for strchr... yes
checking for tgamma... yes
checking for strftime... yes
checking for strptime... yes
checking for error_at_line... yes
checking for _LARGEFILE_SOURCE value needed for large files... no
configure: creating ./config.status
config.status: creating Makefile
config.status: creating doc/Makefile
config.status: creating doc/png/Makefile
config.status: creating config.h
checking for gc-7.1.tar.gz... (cached) yes
Index des fonctions - Exemple de lien donnant le résultat d'une recherche sur les mots 'arc' et 'triple' : http://asy.marris.fr/indexasy/?filtre=arc triple
Mes configurations (le 10/10/17) :
PC n°1 :Windows 10 - Asymptote(2.41)+MikTeX2.9 - Editeurs : Notepad++ et TeXworks.
Mes autres PC :Ubuntu 16.04LTS - Asymptote(2.42 git) + TexLive2017 - Editeur : TeXworks.
Merci de préciser la votre pour faciliter l'aide des autres !

gilles
Messages : 6
Enregistré le : sam. 19 juin 2010, 09:28

Re: asymptote svn sur Ubuntu 10.04 Lucid Lynx

Message non lu par gilles » ven. 25 juin 2010, 17:10

Bonjour à tous
au passage, félicitations à Gaëtan pour ce forum, et à chellier pour la méthode ci-dessus !
Je viens de la tester sous Lucid, cela marche impeccable.
Si je ne me trompe pas, est-ce qu'il ne faut pas au préalable désinstaller via synaptics la version d'asymptote déjà installée (celle qui est dans les dépôts, la 1.88) ?
J'ai maintenant la 2.00svn, et bien que j'ai lu l'explication sur le site officiel d'asymptote, la différence entre la version svn et la version "rien" reste un peu mystérieuse. Quelqu'un peut-il m'éclairer un peu ?

Gilles


edit: dans les mercis, j'oubliais chellier pour les outils pour Gedit, c'est super ;) , mon Kile ne s'en est pas relevé.

Avatar du membre
chellier
Messages : 101
Enregistré le : jeu. 18 mars 2010, 17:30

Re: asymptote svn sur Ubuntu 10.04 Lucid Lynx

Message non lu par chellier » ven. 25 juin 2010, 17:40

gilles a écrit :Bonjour à tous
au passage, félicitations à Gaëtan pour ce forum, et à chellier pour la méthode ci-dessus !

Bonjour, et merci !

gilles a écrit :Si je ne me trompe pas, est-ce qu'il ne faut pas au préalable désinstaller via synaptics la version d'asymptote déjà installée (celle qui est dans les dépôts, la 1.88) ?

Oui, bien sûr, il faut désinstaller la version d'asymptote des dépôts pour éviter des conflits et que le système trouve la "bonne" version.
gilles a écrit :J'ai maintenant la 2.00svn, et bien que j'ai lu l'explication sur le site officiel d'asymptote, la différence entre la version svn et la version "rien" reste un peu mystérieuse. Quelqu'un peut-il m'éclairer un peu ?


La svn contient les dernières mises à jours et corrections de bug. Elle peut être moins stable, mais je n'ai personnellement jamais rencontré de problème.

gilles a écrit :edit: dans les mercis, j'oubliais chellier pour les outils pour Gedit, c'est super ;) , mon Kile ne s'en est pas relevé.

De rien, dans la semaine prochaine, une nouvelle version de la coloration syntaxique de fichiers .asy et une coloration syntaxique des fichiers .tex prenant en compte le code asymptote. Ainsi qu'un nouveau script permettant de tout installer automatiquement.

Christophe

maurice
Messages : 254
Enregistré le : jeu. 25 mars 2010, 13:00
Contact :

Re: Installation d'asymptote SVN sur Ubuntu 10.04 Lucid Lynx

Message non lu par maurice » ven. 19 oct. 2012, 14:37

Bonjour,

j'ai un problème de mise à jour avec svn2.17...
Le make install donne :

Code : Tout sélectionner

PASS: threadleaktest
PASS: threadkey_test
PASS: initsecondarythread
===================
All 10 tests passed
===================
make[3] : on quitte le répertoire « /home/maurice/Asy_svn/asymptote/gc-7.2d »
make[2] : on quitte le répertoire « /home/maurice/Asy_svn/asymptote/gc-7.2d »
make[1] : on quitte le répertoire « /home/maurice/Asy_svn/asymptote/gc-7.2d »
make: ***  Aucune règle pour fabriquer la cible « /usr/lib/gcc/i686-redhat-linux/4.7.0/../../../../include/c++/4.7.0/cassert », nécessaire pour « camperror.o ». Arrêt.


Aussi ma question : comment désinstaller "proprement" la version svn en ligne de commandes.
En effet, je souhaite compiler les sources de la dernière version stable ...

merci

Maurice
Doc 3D
Si ça ne marche pas, essayez la version pdf

Fedora 23 -- Asymptote 2.35 -- TeXlive 2013 -- emacs et/ou gedit

maurice
Messages : 254
Enregistré le : jeu. 25 mars 2010, 13:00
Contact :

Re: Installation d'asymptote SVN sur Ubuntu 10.04 Lucid Lynx

Message non lu par maurice » ven. 19 oct. 2012, 15:29

Bon je n'ai rien dit ; un simple

Code : Tout sélectionner

make uninstall
a fait l'affaire.
Je suis en train de compiler la 2.21

Mais ca fait 2 fois en moins de 4 mois que j'ai des problèmes de compilations. Ca n'était jamais arrivé avant !

Maurice
Doc 3D
Si ça ne marche pas, essayez la version pdf

Fedora 23 -- Asymptote 2.35 -- TeXlive 2013 -- emacs et/ou gedit

maurice
Messages : 254
Enregistré le : jeu. 25 mars 2010, 13:00
Contact :

Re: Installation d'asymptote SVN sur Ubuntu 10.04 Lucid Lynx

Message non lu par maurice » ven. 19 oct. 2012, 15:59

Pour repondre à une question posée il n'y a pas longtemps sur toutes les dépendances nécessaires à la compilation, il semble difficile de dresser une liste complète !
J'ai du installer deux paquets supplémentaires pour pourvoir compiler la version 2.21 (ma dernière compilation remmontant au mois de décembre 2011) :

mesa-libOSMesa
mesa-libOSMesa-devel


Maurice
Doc 3D
Si ça ne marche pas, essayez la version pdf

Fedora 23 -- Asymptote 2.35 -- TeXlive 2013 -- emacs et/ou gedit

Répondre